[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

postgresql install problem

I've been having difficulty installing postgresql, other packages
install normally. Any advice what to do here?

# apt-get install postgresql
Reading Package Lists... Done
Building Dependency Tree... Done
The following NEW packages will be installed:
0 packages upgraded, 1 newly installed, 0 to remove and 508  not upgraded.
Need to get 3655kB of archives. After unpacking 9380kB will be used.
Get:1 http://http.us.debian.org unstable/main postgresql 7.4.2-3 [3655kB]
Fetched 3655kB in 42s (87.0kB/s)                                               
Preconfiguring packages ...
dirname: too many arguments
Try `dirname --help' for more information.
postgresql failed to preconfigure, with exit status 1
(Reading database ... 63874 files and directories currently installed.)
Unpacking postgresql (from .../postgresql_7.4.2-3_i386.deb) ...
dirname: too many arguments
Try `dirname --help' for more information.
dpkg: error processing /var/cache/apt/archives/postgresql_7.4.2-3_i386.deb (--unpack):
 subprocess pre-installation script returned error exit status 1
Errors were encountered while processing:
E: Sub-process /usr/bin/dpkg returned an error code (1)

I have the current coreutils installed

# dpkg -l coreutils
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name           Version        Description
ii  coreutils      5.0.91-2       The GNU core utilities

Thanks in advance for any help.

Reply to: